Subject: Re: Sequoia EMAC only works if u-boot initializes it?

From: Josh Boyer <[email-masked]>
Date: Mon, 26 Nov 2007 10:08:43 -0600

On Mon, 26 Nov 2007 10:59:35 -0500
"Steven A. Falco" <[email-masked]> wrote:

> I have noticed odd behavior on a Sequoia board.  Kernel is built from 
> DENX git, ARCH=powerpc, 2.6.23.1.
> 
> Sequence that works:
> 1) In u-boot, do "dhcp" (this initializes the PHY)
> 2) Boot linux from flash
> 3) ifconfig eth0 192.168.0.101 netmask 255.255.255.0 up
> Ethernet is now functional, and I can ping the Sequoia (and it can ping 
> my host)
> 
> Sequence that does not work:
> 1) Boot linux from flash without letting u-boot touch eth0
> 2) ifconfig eth0 192.168.0.101 netmask 255.255.255.0 up
> Ethernet appears to come up, but it is not functional.  I.e. I get 
> "eth0: link is up, 100 FDX, pause enabled" but I cannot ping the board, 
> and the board cannot ping my host.
> 
> So, the kernel appears to be missing some initialization that u-boot 
> provides.

There are some PHY patches from Valentine that Ben needs to send to
Jeff Garzik.

josh